{% extends 'base.html' %}

{% block content %}

    {% if user_data %}
        <a href="/allduplicate" type="submit" class="btn btn-primary">Show Duplicate</a>
        <div class="container">
            <div class="row justify-content-md-center">
                <div class="col">
                    <h1>Duplicate files in the current directory ({{ start_dir.replace("stockage/"+user.key.name, "") }}) :</h1>
                    <ul class="list-group" id="listelement">
                        {% for blob_l in list_b %}
                            {% set isfirst={'isfirst':True} %}
                            {% for blob in list_b[blob_l] %}
                                <div class="container">
                                    <li class="list-group-item {{  " list-group-item-secondary" if isfirst['isfirst'] == True else "" }}">
                                        <div class="row">
                                            <div class="col col-lg-11">
                                                <a class="element" href=" {{  url_for('download', path=blob["name"].replace("stockage/"+user.key.name+"/", "")) }}">{{ blob["name"].replace(start_dir, "") }}</a>
                                            </div>
                                        </div>
                                    </li>
                                </div>
                                {% set _ = isfirst.update({'isfirst': False}) %}
                            {% endfor %}
                        {% endfor %}
                    </ul>
                </div>
            </div>
        </div>
    {% else %}
        <div class="container">
            <div class="row justify-content-md-center">
                <div class="col">
                    <p>You need to login for see your files</p>
                </div>
            </div>
        </div>
    {% endif %}
{% endblock %}